Loading...
Searching...
No Matches
su_localinfo_s Struct Reference

Local address info structure. More...

`#include <su_localinfo.h>`

Collaboration diagram for su_localinfo_s:
[legend]

## Data Fields

int | li_flags
| Bitwise or of flags: LI_V4MAPPED, LI_CANONNAME, LI_NAMEREQD, LI_NUMERIC, LI_DOWN, LI_IFNAME.
int | li_family
| Address family.
int | li_index
| Network interface index.
int | li_scope
| Address scope.
socklen_t | li_addrlen
| Length of li_addr.
su_sockaddr_t * | li_addr
| Binary address.
char * | li_canonname
| Canonical name for address.
su_localinfo_t * | li_next
| Next structure in linked list.
char * | li_ifname
| Network interface name.

## Detailed Description

Local address info structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.